Configuration.define do 
  require 'term/ansicolor'
  include Term::ANSIColor 
  
  host "aaron-mueller.de"
  port 2009
  user "nougad"
  stop_at_signals "SIGTERM", "SIGINT"

#=begin # shell output
  message_receiving /\* (.*) renamed to (.*)/ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    print red { matches[0] }, " renamed to ",  green { matches[1] }, "\n"
  end

  message_receiving /\* (.*) join the chat./ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    print green { matches[0] }, " join the chat.", "\n"
  end

  message_receiving /\* (.*) left the chat./ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    print red { matches[0] }, " left the chat.", "\n"
  end

  message_receiving /.*/ do |msg,matches,socket|
    puts msg unless @last_msg == msg
  end
#=end

#=begin # logging
  mr do |msg,matches,socket|
    (@log_file ||= File.open "out", "w").puts "#{Time.now.strftime "%c"} - #{msg}"
    @log_file.flush
    false
  end
#=end

#=begin # libnotify
  message_receiving /\* (.*) renamed to (.*)/ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    system "notify-send -u low -t 3000 --category=im.received '#{matches[0]}' 'renamed to <b>#{matches[1]}</b>'" 
    false
  end

  message_receiving /\* (.*) join the chat./ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    system "notify-send -u low -t 3000 --category=presence.offline '#{matches[0]}' 'joined the chat.'"
    false
  end

  message_receiving /\* (.*) left the chat./ do |msg,matches,socket|
    matches.flatten!
    @last_msg = msg
    system "notify-send -u low -t 3000 --category=presence.online '#{matches[0]}' 'left the chat.'"
    false
  end

  message_receiving /^(.*): (.*)/ do |msg,matches,socket|
    matches.flatten!
    system "notify-send -u low -t 3000 --category=im.received '#{matches[0]}' '#{matches[1]}'" unless @last_msg == msg
    false
  end
#=end

  on_startup do |socket|
    socket.puts "/users"
    socket.puts "hello!"
  end  

  on_exit do |socket|
    socket.puts "bye!"
  end
end

